summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorWilliam Hubbs <williamh@gentoo.org>2015-08-11 15:08:23 -0500
committerWilliam Hubbs <williamh@gentoo.org>2015-08-11 15:12:44 -0500
commit198665437578804b77b48d20b883c1cd3ea8ae33 (patch)
tree5788ca7d5f298afb1315429ff49aae97d09074c4 /eclass
parentgolang-vcs.eclass: remove EGO_SRC variable (diff)
downloadgentoo-198665437578804b77b48d20b883c1cd3ea8ae33.tar.gz
gentoo-198665437578804b77b48d20b883c1cd3ea8ae33.tar.bz2
gentoo-198665437578804b77b48d20b883c1cd3ea8ae33.zip
golang-vcs-snapshot.eclass: typo fix
This follows from my previous commit to the golang-vcs.eclass. ${EGO_PN%/*} should be replaced with ${EGO_PN%/...} since we only want to strip off "/..." from the end of the path.
Diffstat (limited to 'eclass')
-rw-r--r--eclass/golang-vcs-snapshot.eclass4
1 files changed, 2 insertions, 2 deletions
diff --git a/eclass/golang-vcs-snapshot.eclass b/eclass/golang-vcs-snapshot.eclass
index 1cf5a56e7160..8ebb36e27d21 100644
--- a/eclass/golang-vcs-snapshot.eclass
+++ b/eclass/golang-vcs-snapshot.eclass
@@ -50,7 +50,7 @@ golang-vcs-snapshot_src_unpack() {
ego_pn_check
set -- ${A}
x="$1"
- mkdir -p "${WORKDIR}/${P}/src/${EGO_PN%/*}" || die
- tar -C "${WORKDIR}/${P}/src/${EGO_PN%/*}" -x --strip-components 1 \
+ mkdir -p "${WORKDIR}/${P}/src/${EGO_PN%/...}" || die
+ tar -C "${WORKDIR}/${P}/src/${EGO_PN%/...}" -x --strip-components 1 \
-f "${DISTDIR}/${x}" || die
}